# Command-Line Usage

When called as a program from the command line, the following form is used:

## python -m mpmath

Python shell for mpmath.

This is just a normal Python shell (IPython shell if you have the IPython package installed), that adds default imports and run some initialization code.

    usage: python -m mpmath [-h] [--no-wrap-division] [--no-ipython]
                            [--no-wrap-floats] [-V] [--prec PREC] [--no-pretty]
                            [--int-limits]

-h, --help

  show this help message and exit

--no-wrap-division

  Don’t wrap integer divisions with Fraction

--no-ipython

  Don’t use IPython

--no-wrap-floats

  Don’t wrap float/complex literals

-V, --version

  Print the mpmath version and exit

--prec <prec>

  Set default mpmath precision

--no-pretty

  Disable pretty-printing

--int-limits

  Enable string conversion length limitation for int’s